summaryrefslogtreecommitdiff
path: root/.tools
diff options
context:
space:
mode:
Diffstat (limited to '.tools')
-rw-r--r--.tools/jobs/licensecheck.sh26
1 files changed, 26 insertions, 0 deletions
diff --git a/.tools/jobs/licensecheck.sh b/.tools/jobs/licensecheck.sh
new file mode 100644
index 000000000..28cd11993
--- /dev/null
+++ b/.tools/jobs/licensecheck.sh
@@ -0,0 +1,26 @@
+#!/bin/bash
+
+aptget_update
+aptget_install git-core gcc ca-certificates grep python
+
+
+source ./.tools/scripts/init.sh
+
+do_init_data
+
+do_init_tools
+
+cd tools/licensecheck
+
+./serverdata.sh # >license.log
+
+#export RES=$(cat license.log)
+#if [[ -n "${RES}" ]]; then
+# echo "Detected missing licenses."
+# cat license.log
+# echo "Estimated total missing licenses:"
+# wc -l license.log
+# exit 1
+#fi
+echo "Exiting with status zero because licensecheck errors are not considered critical"
+exit 0